Subject: Re: Linux -malign-double?

From: Alex Ninaber <[email-masked]>
Date: Thu, 25 Jun 1998 09:04:49 +0100 (BST)

Hi Dave,

As far as I know the -mallign-double option has its biggest effect on the
pentium-pro/II since that processor has a more complex double pipeline
compared to the pentium. I think -mallign-double has to do with the
optimization of a certain order of execution, making sure that the double
pipeline is optimal used.

Alex

On Tue, 23 Jun 1998, Dave Close wrote:

> 
> 
>   Dear CCL Users:
>   Recently I posted a LINUX makefile for installing G94 on a Pentium
> running RedHat Linux.  Milan Hodoscek wrote me to say that I had
> omitted the -malign-double compiler option.  In fact I recalled his
> posting of this several months ago.  When we tried it here there was
> hardly any difference in runtime.  Milan has written me again to say
> this option could make a large difference in run time on a Pentium.
>   My question is does anyone know about this option?  Is it now a default
> setting so now it is not important?  Or have I done something wrong?
>   To see what we used go to:
> 
>   http://physweb,etsu.edu/c_r_g94_linux.html
> 
>   Regards, Dave Close.
> 
> 
> ---
> Administrivia: This message is automatically appended by the mail exploder:
> [email-masked]: Everybody | [email-masked]: Coordinator
> [email-masked]: HELP CHEMISTRY or HELP SEARCH | Gopher: www.ccl.net 73
> Anon. ftp: www.ccl.net   | [email-masked] -- archive search
>              Web: http://www.ccl.net/chemistry.html 
> ---
> 
>